Skip to content
DARK
PAWNS

A Multi-User DungeonEST. 1994

Get a zone VNUM map

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET
/admin/olc/zones/{zone}/vnums
curl --request GET \
--url https://example.com/admin/olc/zones/example/vnums

Returns used and free VNUM ranges for rooms, mobiles, objects, and shops without claiming any resource.

zone
required

Zone number.

string

Zone number.

OK

Media typeapplication/json
object
end
required
integer format: int64
kinds
required
Array<object> | null
object
end
required
integer format: int64
free
required
Array<object> | null
object
end
required
integer format: int64
start
required
integer format: int64
kind
required
string
start
required
integer format: int64
suggested
required
integer format: int64
used
required
Array<integer> | null
start
required
integer format: int64
zone
required
integer format: int64

Example generated

{
"end": 1,
"kinds": [
{
"end": 1,
"free": [
{
"end": 1,
"start": 1
}
],
"kind": "example",
"start": 1,
"suggested": 1,
"used": [
1
]
}
],
"start": 1,
"zone": 1
}

Error

Media typeapplication/problem+json
object
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}